;NEWVBL.PRG
;von M. Rogge, 29.3.1994
;Schaltet den VBL-Interrupt ab und ruft die alte VBL-Routine aus dem 
;MFP-Interrupt fr Kanal 3. 
;Hardware: MFP-Portbit 3 vom Blitter trennen und mit VSYNC verbinden.
;Diese Version belastet den Stack mit 12 Bytes, verhindert aber das 
;Stapeln von VBL-Interrupts 
;
gemdos		= 1
		;
		code
start:		bra.s	install
		;
patch:		bset	#3,$fffffa15.w	;Maskierung aufheben
		rte
		;
mfp:		bclr	#3,$fffffa15.w	;Interrupt maskieren
		bclr	#3,$fffffa11.w	;Gib CTS, DCD und Busy eine Chance
		pea	patch(pc)
		move	sr,-(sp)
		move.l	oldvbl(pc),-(sp)
		move	sr,-(sp)
		bra.s	vbl
		;
		dc.b	"XBRANVBL"
oldvbl:		dc.l	0
vbl:		and.w	#$f8ff,(sp)
		or.w	#$0500,(sp)
		rte
		;
install:	clr.l	-(sp)
		move.w	#$20,-(sp)	;Super
		trap	#gemdos
		addq.l	#4,sp		;noch Nullwort auf dem Stack
		;
		move.l	$70.w,oldvbl
		move.l	#vbl,$70.w
		move.l	#mfp,$10c.w
		bclr	#3,$fffffa05.w	;Portbit ist Eingang
		bclr	#3,$fffffa03.w	;fallende Flanke aktiv
		bset	#3,$fffffa09.w	;enable
		bset	#3,$fffffa15.w	;nicht maskiert
		;
		pea	256+install-start
		move	#$31,-(sp)	;Ptermres
		trap	#gemdos
		;

