;NEWVBL.PRG
;von M. Rogge, 29.3.1994
;Schaltet den VBL-Interrupt ab und ruft die alte VBL-Routine aus dem 
;MFP-Interrupt fr Kanal 3. 
;Hardware: MFP-Portbit 3 vom Blitter trennen und mit VSYNC verbinden.
;Dies ist eine Version, die stets durch $70 springt.
;
gemdos		= 1
		;
		code
start:		bra.s	install
		;
mfp:		bclr	#3,$fffffa11.w	;Gib CTS, DCD und Busy eine Chance
		move.b	(sp),start-128
		and.b	#$07,start-128
		cmp.b	#$04,start-128
		bcs.s	patch		;IPL kleiner als 4
		beq.s	ende		;IPL gleich 4
		move.l	$70.w,-(sp)
		move	sr,-(sp)
		;
patch:		and.b	#$f8,(sp)
		or.b	#$05,(sp)	;IPL 5 einpatchen
ende:		rte
		;

install:	clr.l	-(sp)
		move.w	#$20,-(sp)	;Super
		trap	#gemdos
		addq.l	#4,sp		;noch Nullwort auf dem Stack
		;
		move.l	#mfp,$10c.w
		bclr	#3,$fffffa05.w	;Portbit ist Eingang
		bclr	#3,$fffffa03.w	;fallende Flanke aktiv
		bset	#3,$fffffa09.w	;enable
		bset	#3,$fffffa15.w	;nicht maskiert
		;
		pea	256+install-start
		move	#$31,-(sp)	;Ptermres
		trap	#gemdos
		;

